// ===========================================================================
//	PPShell.h
//   ---------------------
//   1996 Eric Gundrum, All rights reserved.
//   The contents of this file may be freely altered and freely distributed
//   in any form, provided this copyright statement is retained unaltered.
//   Add your own changes below.
//   ---------------------
//	
//	This file contains the starter code for a PowerPlant application

#pragma once

#include <LApplication.h>


class	PPShell : public LApplication {
public:
						PPShell();		// constructor registers all PPobs
	virtual 			~PPShell();		// stub destructor
	
		// this overriding function performs application functions
		
	virtual Boolean		ObeyCommand(CommandT inCommand, void* ioParam);	
	
		// this overriding function returns the status of menu items
		
	virtual void		FindCommandStatus(CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName);

protected:

	virtual void		StartUp();		// overriding startup functions
};